# useDistribution

abstract fun useDistribution(gradleDistribution: URI): GradleConnector

Specifies which Gradle distribution to use. The appropriate distribution is downloaded and installed into the user's Gradle home directory. This replaces any value specified using useInstallation, useGradleVersion, or useBuildDistribution. Defaults to a project-specific Gradle version.

#### Return

this

#### Since

1.0-milestone-3

#### Parameters

gradleDistribution

The distribution to use.